Bug 23266 - Add to cart fires twice on shelf page
Summary: Add to cart fires twice on shelf page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-04 12:56 UTC by Marcel de Rooy
Modified: 2019-08-06 16:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23266: Add to cart fires twice on shelf page (3.14 KB, patch)
2019-07-04 12:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23266: Add to cart fires twice on shelf page (3.17 KB, patch)
2019-07-05 07:53 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23266: Add to cart fires twice on shelf page (3.22 KB, patch)
2019-07-06 10:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2019-07-04 12:56:51 UTC
Simple fix: opac-bottom.inc should do the work not opac-shelves itself.
Comment 1 Marcel de Rooy 2019-07-04 12:59:28 UTC
Created attachment 91290 [details] [review]
Bug 23266: Add to cart fires twice on shelf page

Remove some duplicate functionality between opac-bottom and opac-shelves.

Test plan:
[1] Before this patch, add to cart from a shelf page. Observe that the
    basket count is incremented with 2.
[2] After this patch, it should be incremented with 1.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Martin Renvoize 2019-07-05 07:53:04 UTC
Created attachment 91321 [details] [review]
Bug 23266: Add to cart fires twice on shelf page

Remove some duplicate functionality between opac-bottom and opac-shelves.

Test plan:
[1] Before this patch, add to cart from a shelf page. Observe that the
    basket count is incremented with 2.
[2] After this patch, it should be incremented with 1.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2019-07-05 07:53:48 UTC
Simple fix that clarifies the code and corrects the issue. Signing off.
Comment 4 Katrin Fischer 2019-07-06 10:11:22 UTC
Created attachment 91391 [details] [review]
Bug 23266: Add to cart fires twice on shelf page

Remove some duplicate functionality between opac-bottom and opac-shelves.

Test plan:
[1] Before this patch, add to cart from a shelf page. Observe that the
    basket count is incremented with 2.
[2] After this patch, it should be incremented with 1.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-07-15 11:22:26 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-30 06:08:57 UTC
Pushed to 19.05.x for 19.05.03
Comment 7 Lucas Gass 2019-08-06 16:54:28 UTC
backported to 18.11.x for 18.11.09